Aby używać OrbitVu SUN musisz posiadać Mozilla Firefox 3.6 lub nowszy. Musisz również mieć włączoną obsługę cookie i javascript w swojej przeglądarce.